import type { Buffer, Regl } from "regl";
declare const createLine: (regl: Regl, { projection, model, view, points, colorIndices, color, opacity, opacities, width, widths, miter, is2d, zPos2d, }?: Partial<{
    projection: Float32Array;
    model: Float32Array;
    view: Float32Array;
    points: number[][] | number[];
    colorIndices: number[];
    color: number[][] | number[];
    opacity: number | null;
    opacities: number[];
    width: number;
    widths: number[];
    miter: boolean;
    is2d: boolean;
    zPos2d: number;
}>) => {
    clear: () => void;
    destroy: () => void;
    draw: ({ projection: newProjection, model: newModel, view: newView, }?: Partial<{
        projection: Float32Array;
        model: Float32Array;
        view: Float32Array;
    }>) => void;
    getPoints: () => number[] | number[][];
    setPoints: (newPoints?: number[][] | number[], { colorIndices: newColorIndices, opacities: newOpacities, widths: newWidths, is2d: newIs2d, }?: {
        colorIndices?: number[] | undefined;
        opacities?: number[] | undefined;
        widths?: number[] | undefined;
        is2d?: boolean | undefined;
    }) => void;
    getData: () => {
        points: Float32Array;
        widths: number[];
        opacities: number[];
        colorIndices: number[];
    };
    getBuffer: () => {
        points: Buffer;
        widths: Buffer;
        opacities: Buffer;
        colorIndices: Buffer;
    };
    getStyle: () => {
        color: number[] | number[][];
        miter: boolean;
        width: number;
    };
    setStyle: ({ color: newColor, opacity: newOpacity, miter: newMiter, width: newWidth, }?: Partial<{
        color: number[];
        opacity: number;
        miter: boolean;
        width: number;
    }>) => void;
} | undefined;
export default createLine;
